{% extends "base.html" %}
{% load static%}
{% load custom_tags %}

<!-- {# {% set active_page = "index" %} #}  -->
{% block local_dependencies %}
<!-- select2 -->
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/css/select2.min.css" integrity="sha256-FdatTf20PQr/rWg+cAKfl6j4/IY3oohFAJ7gVC3M34E=" crossorigin="anonymous">
<!-- select2-bootstrap4-theme -->
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@ttskch/select2-bootstrap4-theme/dist/select2-bootstrap4.min.css" integrity="sha512-PJmiUnvkAwE7qr/YCerCmG61P/Q6ax9YlB4bF5zibdKQPNFi/HJM5d7Dq0JiIVuHnoCnh4kEr1VOs1mKdwr2fw==" crossorigin="anonymous">
<!-- select2 -->
<script src="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/js/select2.min.js" integrity="sha256-AFAYEOkzB6iIKnTYZOdUf9FFje6lOTYdwRJKwTN5mks=" crossorigin="anonymous"></script>
{% endblock %}

{% block topbar %}{% endblock topbar %}

{% block sidebar_elem%}

<li>
    <ul id="main-tabs" class="nav mt-5 mb-2" role="tablist">
        <li class="nav-item active" >
            <a class="nav-link" id="detail-tab" data-toggle="tab" href="#detail"  aria-controls="detail" aria-selected="true" role="tab">
                <i class="fas fa-fw fa-info" ></i>
                <span>{{ "Details"| get_label_lang:request.session.LANGUAGE_SESSION_KEY}}</span>
            </a> 
        </li>
        <li class="nav-item" >
            <a class="nav-link" id="location-tab" data-toggle="tab" href="#location" aria-controls="location" aria-selected="false" role="tab">
                <i class="fas fa-fw fa-location-arrow"></i>
                <span>{{ "Location"| get_label_lang:request.session.LANGUAGE_SESSION_KEY}}</span>
            </a> 
        </li>
        <li class="nav-item" >
            <a class="nav-link" id="messages-tab" data-toggle="tab" href="#messages"  aria-controls="messages" aria-selected="false" role="tab">
                <i class="fas fa-fw fa-file-alt"></i>
                <span>{{ "Statements"| get_label_lang:request.session.LANGUAGE_SESSION_KEY}}</span>
            </a> 
        </li>
        <!-- <li class="nav-item">
            <a class="nav-link"  onclick="openIssueWithData(null)" target="_blank" role="tab">
                <i class="fas fa-fw fa-bug"></i>
                <span>{{ "Report Issue"| get_label_lang:request.session.LANGUAGE_SESSION_KEY}}</span>
            </a> 
        </li> -->
    </ul>
</li>


<li>
    <hr class="sidebar-divider"/>
</li>

{%endblock%}

{% block content %}

<div id="content">
  <!-- Tab panes -->
   <div class="row mt-n2">
        <div class="col-xl-6 col-lg-12 col-md-12 col-sm-12 col-12">
            <div class="card shadow mb-3">
            <div class="card-body p-3">
                <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text">{{ "Select Company"| get_label_lang:request.session.LANGUAGE_SESSION_KEY}}</span>
                    </div>
                    <select id="select2Companies" data-placeholder="Choose one thing" data-allow-clear="1">
                    </select>
                  </div>
                
            </div>
            </div>
        </div>
        <div class="col-xl-6 col-lg-12 col-md-12 col-sm-12 col-12">
            <div class="card shadow mb-3">
            <div class="card-body p-3">
                <div class="input-group">
                <div class="input-group-prepend">
                    <label class="input-group-text" for="select2Date">{{ "Select Date"| get_label_lang:request.session.LANGUAGE_SESSION_KEY}}</label>
                </div>
                <select id="select2Date" data-placeholder="Choose one date" data-allow-clear="1" ></select>
                </div>
            </div>
            </div>
        </div>
    </div>
  <div class="tab-content">
    <div class="tab-pane active" id="detail" role="tabpanel" aria-labelledby="detail-tab">{% include 'components/company_details.html' %}</div>
    <div class="tab-pane" id="location" role="tabpanel" aria-labelledby="location-tab">{% include 'components/company_location.html' %}</div>
    <div class="tab-pane" id="messages" role="tabpanel" aria-labelledby="messages-tab">{% include 'components/company_statements.html' %}</div>
  </div>
</div>


{%endblock%}


{% block local_js %} 
    <script src="{% static 'scripts/language.js' %}" integrity="sha384-p5WeLAIs4c0oGEKRlKok5jiXjV1HKb9/TfUWfxi6Y1MGtE6lpYs5xhGZSXlgG878" crossorigin="anonymous"></script>
    <script src="{% static 'scripts/dropdowns.js' %}"  integrity="sha384-rNuj/lNHE/Hqwf+i17ZNc4jhaunJmjw2I12YPb8eu4d1D/vi72tNyy06AG0Bhhf+" crossorigin="anonymous"></script>
    <script src="{% static 'scripts/home.js' %}"  integrity="sha384-09BcPRGJrPwfJCNeCeXvBBX2nX9EuAtYpo56+BOiIGMegaiRxT/6w0zjk6qhw9Cu" crossorigin="anonymous"></script>
    <script src="{% static 'scripts/companyDetail.js' %}"  integrity="sha384-EqZMmjjQEZNJ4jdhRRkvQPbfV7hZ4o98CyLNdodcORDNUjYwsVKhToXp1rIGxPy9" crossorigin="anonymous" ></script>
    <script src="{% static 'scripts/companyLocation.js' %}"  integrity="sha384-B2RZrVGzsdSo0dutFyBPmbRLUPgVxLauTOsLCnX0icsdDsvb9nldAZFvpRcfO2P2" crossorigin="anonymous" ></script>
    <script src="{% static 'scripts/companyStatement.js' %}"  integrity="sha384-ZkjiUvAHHVWZ9SiQdVDf94oOIxxrkIMM0MdipbByE7yEYBfO3I886XK1nMJlrbl/" crossorigin="anonymous" ></script>
    <script src="{% static 'scripts/homeAPICall.js' %}"  integrity="sha384-I8ZD1JkFReXc1OtkUfUIx3SyOQ889zLpSjS8MeHwXpAqbW7eZYBsT49e0ZUoVrnG" crossorigin="anonymous" ></script>
    <script src="{% static 'scripts/pdfobject.js' %}"  integrity="sha384-Qh7+GqB06U6+7SqPWSiSLMLzu42RdfI+Vc3PbfELYRTsEtN+LZXaD9kqeJT7WJYt" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Leaflet.awesome-markers/2.0.2/leaflet.awesome-markers.min.js" integrity="sha512-8BqQ2RH4L4sQhV41ZB24fUc1nGcjmrTA6DILV/aTPYuUzo+wBdYdp0fvQ76Sxgf36p787CXF7TktWlcxu/zyOg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
{% endblock %}
